define('aim/assignment/view/SelectResourceView',[], function() {
	var SelectResourceView = Backbone.View.extend({
		
		el: '#resource-single-select',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var preSelect = this.model.get("selectedResource");
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var self=this;
			_.each(this.model.get("resourceOptions"), function(resourcePlaningResource) {
				var selectData = {};
				selectData.id = resourcePlaningResource.id;
				selectData.name = resourcePlaningResource.name;
				if(preSelect == resourcePlaningResource.id){
					selectData.selected='selected';
					self.selection=true;
				}
				selectDatas.selectValues.push(selectData);
			});
			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			if(this.selection==true){
				this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
			}else{
				this.$el.prepend(Naomi.Templates.JiraRp.selectedPlaceholder());
			}
			AJS.$("#resource-single-select").auiSelect2({
			      placeholder: "Select a resource",
				  allowClear: false
				});
			if(this.model.get("selectedProject") == 0){
				AJS.$("#resource-single-select").prop("disabled", true);
			}else{
				AJS.$("#resource-single-select").prop("disabled", false);
			}
			return this;	
		}
	});
	return SelectResourceView;
});